IUSE=""
DESCRIPTION="Themes for Karamba"
SRC_URI="http://ed.cates.net/ebuilds/karamba/${P}.tar.bz2"
HOMEPAGE="http://www.efd.lth.se/~d98hk/karamba/"
LICENSE="GPL"
KEYWORDS="~x86"
DEPEND=">=media-libs/libart_lgpl-2.3.10
      >=media-sound/xmms-1.2.7
	  >=dev-libs/glib-1.2.10-r5
	  >=dev-perl/HTML-Parser-3.26-r2
	  >=dev-perl/libwww-perl-5.64-r1
	  >=x11-misc/karamba-0.17
	  >=x11-themes/noia-warm-030209"


src_install() {

   ##Install env.d stub.
	cd ${WORKDIR}
	insinto /etc/env.d
	doins 99karamba-themes
   ##Install Aqua wallpaper
	dodir /usr/share/wallpapers
	insinto /usr/share/wallpapers
	doins Aqua_Blue.jpg
   ##Install Fonts
    insopts -m0644
    insinto /usr/X11R6/lib/X11/fonts/truetype
    doins *.ttf
   ##Install text files
    dodoc captainpodd.txt README.* CHANGELOG.*
   ##Install the goods
	local dirs="themes scripts"
	dodir /usr/share/apps/karamba

	for i in $dirs; do
	   cp -a $i ${D}/usr/share/apps/karamba/
	done
	
}

pkg_postinst(){
    einfo "Making font dirs..."
    cd /usr/X11R6/lib/X11/fonts/truetype/
    /usr/X11R6/bin/ttmkfdir > fonts.scale
    mkfontdir
}

pkg_postrm(){
	einfo "Rebuilding font dirs..."
    cd /usr/X11R6/lib/X11/fonts/truetype/
    /usr/X11R6/bin/ttmkfdir > fonts.scale
    mkfontdir
}
